.modal3_frame {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: center;
  gap: 8px;
  padding: 8px;
  position: relative;
  background-color: #00000033;
}

.modal3 .close {
  position: relative;
  width: 40px;
  height: 40px;
  aspect-ratio: 1;
  cursor: pointer;
}

.modal3 .frame {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 24px;
  padding: 32px 24px;
  position: relative;
  background-color: var(--white);
  border-radius: 32px;
}

.modal3 .text-wrapper {
  position: relative;
  width: fit-content;
  margin-top: -1px;
  font-family: var(--title-s-font-family);
  font-weight: var(--title-s-font-weight);
  color: var(--text);
  font-size: var(--title-s-font-size);
  letter-spacing: var(--title-s-letter-spacing);
  line-height: var(--title-s-line-height);
  white-space: nowrap;
  font-style: var(--title-s-font-style);
}

.modal3 .div {
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
  align-self: stretch;
  width: 100%;
  flex: 0 0 auto;
  display: flex;
  position: relative;
}

.modal3 .element {
  position: relative;
  align-self: stretch;
  margin-top: -1px;
  font-family: var(--body-base-font-family);
  font-weight: var(--body-base-font-weight);
  color: var(--text);
  font-size: var(--body-base-font-size);
  letter-spacing: var(--body-base-letter-spacing);
  line-height: var(--body-base-line-height);
  font-style: var(--body-base-font-style);
}

.modal3 .text-wrapper-2 {
  position: relative;
  align-self: stretch;
  font-family: var(--action-base-font-family);
  font-weight: var(--action-base-font-weight);
  color: var(--text);
  font-size: var(--action-base-font-size);
  letter-spacing: var(--action-base-letter-spacing);
  line-height: var(--action-base-line-height);
  font-style: var(--action-base-font-style);
  margin: 0;
}

.modal3 .div-2 {
  flex-direction: column;
  align-items: flex-start;
  gap: 2px;
  align-self: stretch;
  width: 100%;
  flex: 0 0 auto;
  display: flex;
  position: relative;
}

.modal3 .div-3 {
  height: 54px;
  align-items: flex-start;
  align-self: stretch;
  width: 100%;
  display: flex;
  position: relative;
}

.modal3 .element-wrapper {
  flex-direction: column;
  height: 54px;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding: 16px 12px;
  flex: 1;
  flex-grow: 1;
  background-color: var(--bg-secondary);
  display: flex;
  position: relative;
}

.modal3 .element-2 {
  margin-top: -9px;
  margin-bottom: -7px;
  font-family: var(--action-base-font-family);
  font-weight: var(--action-base-font-weight);
  color: var(--text);
  font-size: 14px;
  line-height: var(--action-base-line-height);
  position: relative;
  align-self: stretch;
  letter-spacing: var(--action-base-letter-spacing);
  font-style: normal;
}

.modal3 .div-wrapper {
  flex-direction: column;
  height: 54px;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding: 16px 12px;
  flex: 1;
  flex-grow: 1;
  background-color: var(--bg-main);
  display: flex;
  position: relative;
}

.modal3 .p {
  margin-top: -11.5px;
  margin-bottom: -9.5px;
  font-family: "Noto Sans JP-Regular", Helvetica;
  font-weight: 400;
  color: transparent;
  font-size: 12px;
  line-height: 12px;
  position: relative;
  align-self: stretch;
  letter-spacing: 0;
}

.modal3 .span {
  color: #323442;
  line-height: var(--caption-line-height);
  font-family: var(--caption-font-family);
  font-style: var(--caption-font-style);
  font-weight: var(--caption-font-weight);
  letter-spacing: var(--caption-letter-spacing);
  font-size: var(--caption-font-size);
}

.modal3 .text-wrapper-3 {
  font-family: var(--caption-font-family);
  font-weight: var(--caption-font-weight);
  color: #323442;
  line-height: var(--caption-line-height);
  text-decoration: line-through;
  font-style: var(--caption-font-style);
  letter-spacing: var(--caption-letter-spacing);
  font-size: var(--caption-font-size);
}

.modal3 .text-wrapper-4 {
  color: #323442;
  font-size: var(--body-base-font-size);
  line-height: var(--body-base-line-height);
  font-family: var(--body-base-font-family);
  font-style: var(--body-base-font-style);
  font-weight: var(--body-base-font-weight);
  letter-spacing: var(--body-base-letter-spacing);
}

.modal3 .text-wrapper-4_underline {
  color: #323442;
  font-size: var(--body-base-font-size);
  line-height: var(--body-base-line-height);
  font-family: var(--body-base-font-family);
  font-style: var(--body-base-font-style);
  font-weight: var(--body-base-font-weight);
  letter-spacing: var(--body-base-letter-spacing);
  text-decoration-line: underline;
  text-underline-offset: auto;
  text-underline-position: from-font;
}

.modal3 .text-wrapper-5 {
  font-family: var(--body-base-font-family);
  font-weight: var(--body-base-font-weight);
  color: #e81829;
  font-size: var(--body-base-font-size);
  line-height: var(--body-base-line-height);
  font-style: var(--body-base-font-style);
  letter-spacing: var(--body-base-letter-spacing);
}

.modal3 .div-4 {
  align-items: flex-start;
  gap: 2px;
  align-self: stretch;
  width: 100%;
  flex: 0 0 auto;
  display: flex;
  position: relative;
}

.modal3 .div-wrapper-2 {
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding: 8px 12px;
  flex: 1;
  align-self: stretch;
  flex-grow: 1;
  background-color: var(--bg-secondary);
  display: flex;
  position: relative;
}

.modal3 .element-wrapper-2 {
  background-color: var(--bg-main);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding: 8px 12px;
  position: relative;
  flex: 1;
  align-self: stretch;
  flex-grow: 1;
}

.modal3 .element-3 {
  margin-top: -1px;
  font-family: "Noto Sans JP-Regular", Helvetica;
  font-weight: 400;
  color: transparent;
  font-size: 12px;
  line-height: 12px;
  position: relative;
  align-self: stretch;
  letter-spacing: 0;
}

.modal3 .text-wrapper-6 {
  color: #323442;
  line-height: var(--action-caption-line-height);
  font-family: var(--action-caption-font-family);
  font-style: var(--action-caption-font-style);
  font-weight: var(--action-caption-font-weight);
  letter-spacing: var(--action-caption-letter-spacing);
  font-size: var(--action-caption-font-size);
}

.modal3 .text-wrapper-7 {
  font-family: var(--action-caption-font-family);
  font-weight: var(--action-caption-font-weight);
  color: #e81829;
  line-height: var(--action-caption-line-height);
  font-style: var(--action-caption-font-style);
  letter-spacing: var(--action-caption-letter-spacing);
  font-size: var(--action-caption-font-size);
}

.modal3 .div-5 {
  display: flex;
  align-items: flex-start;
  position: relative;
  align-self: stretch;
  width: 100%;
  flex: 0 0 auto;
}

.modal3 .element-wrapper-3 {
  display: flex;
  flex-direction: column;
  height: 54px;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding: 16px 12px;
  position: relative;
  flex: 1;
  flex-grow: 1;
  background-color: var(--bg-secondarykocha);
}

.modal3 .div-wrapper-3 {
  background-color: var(--bg-secondarykocha);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding: 8px 12px;
  position: relative;
  flex: 1;
  align-self: stretch;
  flex-grow: 1;
}

.modal3 .element-WEB {
  position: relative;
  align-self: stretch;
  font-family: var(--body-base-font-family);
  font-weight: var(--body-base-font-weight);
  color: var(--text);
  font-size: var(--body-base-font-size);
  letter-spacing: var(--body-base-letter-spacing);
  line-height: var(--body-base-line-height);
  font-style: var(--body-base-font-style);
}

.modal3 .text-wrapper-8 {
  font-family: var(--body-base-font-family);
  font-weight: var(--body-base-font-weight);
  font-style: var(--body-base-font-style);
  letter-spacing: var(--body-base-letter-spacing);
  line-height: var(--body-base-line-height);
  font-size: var(--body-base-font-size);
}
